#ifndef __DRAWABLE_H
#define __DRAWABLE_H

#ifdef __cplusplus
extern "C" {
#endif

#include <stdint.h>
#include <image.h>

#include "text.h"
#include "color.h"

using namespace wsp;

class DrawableImage : public Image
{
	public:
		DrawableImage();
		
		void createImage(int width, int height);
		void copyBuffer(u8 *buf);
		
		Image *getImage();
};

#ifdef __cplusplus
}
#endif

#endif


